# Uses of Interface
javax.lang.model.type.ArrayType

Packages that use ArrayType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ArrayType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type ArrayType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitArray​(ArrayType t, P p)`
Visits an array type.

## Uses of ArrayType in javax.lang.model.util

Methods in javax.lang.model.util that return ArrayType
Modifier and Type
Method
Description
`ArrayType`
Types.`getArrayType​(TypeMirror componentType)`
Returns an array type with the specified component type.
Methods in javax.lang.model.util with parameters of type ArrayType
Modifier and Type
Method
Description
`R`
SimpleTypeVisitor6.`visitArray​(ArrayType t, P p)`
Visits an array type.